﻿.navbar {
    --bs-navbar-padding-y: 0;
    --bs-navbar-color: rgb(var(--white));
    --bs-navbar-hover-color: rgb(var(--white));
    --bs-navbar-disabled-color: #ffffff8e;
    --bs-navbar-brand-margin-end: 0rem;
    --bs-navbar-brand-padding-y: 0;
    --bs-navbar-toggler-icon-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='white' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
    height: var(--navbar-height);
    background: #334663;
    font-size: 18px;
    z-index: 2000;
}

.navbar .container-fluid {
    height: 100%;
    padding: 0;
}

.navbar-brand {
    display: flex;
    align-items: center;
    height: 100%;
}

.navbar-brand-title {
    font-weight: 500;
    font-size: 22px;
    color: #dde9ff;
}

.navbar-toggler {
    padding: 0.25rem;
    border: 0;
}

.navbar-toggler:focus {
    box-shadow: none;
}

/* logo */
.navbar-logo-area {
    display: grid;
    align-items: center;
    height: 100%;
    padding-left: 1rem;
    padding-right: 2.5rem;
    background: linear-gradient(90deg, #67c7e6 0%, #0740c2 110.78%);
    clip-path: polygon(0 0, 100% 0, 85% 100%, 0% 100%);
}

.navbar-user {
    color: #ffffff;
}

.navbar-offcanvas {
    --bs-offcanvas-zindex: 1500;
    --bs-offcanvas-width: 390px;
    --bs-offcanvas-height: 75vh;
    --bs-offcanvas-padding-x: 16px;
    --bs-offcanvas-padding-y: 6px;
    --bs-offcanvas-bg: transparent;
    --bs-offcanvas-border-color: transparent;
    --bs-offcanvas-border-width: 0;
    pointer-events: none;
    transition: transform 0.3s;
}

.navbar-offcanvas .offcanvas-header {
    background: transparent;
    height: var(--navbar-height);
    pointer-events: none;
    flex-shrink: 0;
}

.navbar-offcanvas .offcanvas-body {
    --bs-offcanvas-padding-x: 0;
    --bs-offcanvas-padding-y: 0;
    display: flex;
    flex-direction: column;
    background-color: rgb(var(--blue-1100));
    pointer-events: auto;
}

.navbar-nav {
    --bs-nav-link-color: rgb(var(--white));
    --bs-nav-link-hover-color: rgb(var(--white));
    --bs-nav-link-font-size: 18px;
    --bs-nav-link-font-weight: 400;
    --bs-nav-link-padding-x: 24px;
    --bs-nav-link-padding-y: 12px;
    padding-top: 16px;
    padding-bottom: 16px;
    flex: 1 0 0;
}

.navbar-offcanvas .nav-item img {
    width: 28px;
    height: 28px;
    margin-right: 5px;
}

.navbar-offcanvas .nav-item ul {
    list-style: none;
    margin: 0;
}

.navbar-offcanvas .dropdown-menu {
    --bs-dropdown-bg: rgb(var(--blue-1000));
    --bs-dropdown-border-radius: 0;
    --bs-dropdown-border-width: 0;
    --bs-dropdown-padding-x: 24px;
    --bs-dropdown-padding-y: 8px;
    --bs-dropdown-item-padding-x: 24px;
    --bs-dropdown-item-padding-y: 8px;
    --bs-dropdown-link-color: rgb(var(--white));
    --bs-dropdown-link-hover-color: rgb(var(--white));
    --bs-dropdown-link-hover-bg: rgb(var(--blue-800));
    position: static !important;
    transform: none !important;
}

.navbar-offcanvas .dropdown-item {
    border-radius: 999px;
    transition: background-color 0.3s;
}

.navbar-logout {
    flex-shrink: 0;
    margin: 0 40px 40px 40px;
}

.btn-navbar-logout {
    --bs-btn-color: rgb(var(--white));
    --bs-btn-border-radius: 999px;
    --bs-btn-border-width: 1px;
    --bs-btn-border-color: rgb(var(--white));
    --bs-btn-padding-x: 12px;
    --bs-btn-padding-y: 12px;

    --bs-btn-hover-bg: rgb(var(--blue-4000));
    --bs-btn-hover-color: rgb(var(--white));
    --bs-btn-hover-border-color: rgb(var(--white));

    width: 100%;
    font-weight: 500;
}

@media (max-width: 575.98px) {
    .navbar-logo-area {
        padding-left: 0.5rem;
        padding-right: 1.25rem;
        clip-path: polygon(0 0, 100% 0, 70% 100%, 0% 100%);
    }

    .navbar-brand img {
        width: 42px;
        object-fit: cover;
        object-position: left;
    }

    .navbar-brand-title {
        margin-left: 0.1em;
        font-size: 18px;
    }
}
@media (min-width: 576px) {
    .navbar-offcanvas.offcanvas-top {
        top: 0;
        left: unset;
        right: 0;
        bottom: 0;
        width: var(--bs-offcanvas-width);
        height: 100%;
        max-height: 100%;
        max-width: 100%;
        transform: translateX(100%);
    }
    .navbar-offcanvas.offcanvas-top.showing {
        transform: none;
    }
}
